summaryrefslogtreecommitdiff
path: root/manaplus.sh
diff options
context:
space:
mode:
Diffstat (limited to 'manaplus.sh')
-rw-r--r--manaplus.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/manaplus.sh b/manaplus.sh
index 0bc7d9f..130c27e 100644
--- a/manaplus.sh
+++ b/manaplus.sh
@@ -39,6 +39,7 @@ make_portable(){
root_dir="/manaplus/"
files_list=("build/tmp/src/manaplusd.exe build/tmp/src/manaplus.exe packaging/windows/portable.xml build/tmp/data/ build/tmp/docs/ AUTHORS COPYING NEWS README.txt") # build/tmp/src/gdb.exe (already included in dll_dir)
tmp_dir="/tmp/Mana/"
+ debug_files="${tmp_dir}manaplusd.exe ${tmp_dir}gdb.exe"
mkdir -p $tmp_dir
cp ${dll_dir}* $tmp_dir
@@ -52,7 +53,11 @@ make_portable(){
cp -r $root_dir/translations/ ${tmp_dir}
cd /tmp
get_version_by_tag
+ zip -r debug-manaplus-$VERSION.zip Mana/
+ sha256sum debug-manaplus-$VERSION.zip > debug-sha256checksum.txt
+ rm -rf $debug_files
zip -r manaplus-$VERSION.zip Mana/
+ sha256sum manaplus-$VERSION.zip > sha256checksum.txt
}
@@ -83,7 +88,8 @@ make_portable $dll_dir
# artifacts
#cp /manaplus/packaging/windows/manaplus-*.exe ${CI_PROJECT_DIR}/build/ || exit 1
-cp /tmp/*.zip ${CI_PROJECT_DIR}/build/ || exit 1 # copy portable client zip file
+cp /tmp/*.zip ${CI_PROJECT_DIR}/build/ || exit 1 # copy portable client zip files
+cp /tmp/*.txt ${CI_PROJECT_DIR}/build/ || exit 1 # copy sha256checksum files
# TODO: checksum [zip->sha->{version?}.sha] ${CI_PROJECT_DIR}/build/
cp /manaplus/build/tmp/config.log ${CI_PROJECT_DIR}/logs/ || true
cp /manaplus/build/make2.log ${CI_PROJECT_DIR}/logs/ || true